Bug 1026858 - Unable to add a samba printer queue
Unable to add a samba printer queue
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Felipe Borges
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 09:37 EST by Nicola Buso
Modified: 2016-12-20 07:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:43:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
control center printer settings (29.41 KB, image/png)
2013-11-05 10:39 EST, Nicola Buso
no flags Details
evolution printer settings (64.05 KB, image/png)
2013-11-05 10:39 EST, Nicola Buso
no flags Details

  None (edit)
Description Nicola Buso 2013-11-05 09:37:37 EST
Description of problem:
Configure samba printer queue with authentication

Version-Release number of selected component (if applicable):
3.8.5-1.fc19

How reproducible:
Try to add a samba printer queue with authentication

Steps to Reproduce:
1. Open the "Settings" (control-center)
2. Open the "Printers" configuration
3. Unlock the printer settings if needed "Unlock" button on top right
4. Click the "+" button
5. Select the printer from the list

Actual results:
The printer queue is not in the list. I can't neither reach an interface for the authentication, I hope is present somewhere.


Expected results:
Possibility to choose a printer that is currently available in the network


Additional info:
I can understand somebody decided to simplify this printer settings interface but it's completely confusing:

1. you are writing only the names of the printers, and in our office there are several printers shared in the network. there are lot of other information that can help the user to figure out which is the right printer
2. is not possible to manually insert a samba URL. I know exactly which printer I want to add but this interface is not accepting suggestions on what to do!!
3. this interface is a complete lack of homogeneity in the Gnome 3 environment; if I try to print from "Document Viewer" or from "Evolution" there is a different interface to discover printers, where:
a. the names of printers are different => confusing the user
b. at least there are more informations like "location" => can help the user
c. there are the samba queue I was looking for. Why the hell are not in the control-center?
----
In the final end I configured all with "system-config-printer", than you should think to substitute the interface for printer settings in control-center with "system-config-printer" at least it work a bit better.

Because it seam the developer of this application is not in the condition to test what he's doing I will be more than happy to help testing.
Comment 1 Marek Kašík 2013-11-05 10:21:20 EST
(In reply to Nicola Buso from comment #0)
> Description of problem:
> Configure samba printer queue with authentication
> 
> Version-Release number of selected component (if applicable):
> 3.8.5-1.fc19
> 
> How reproducible:
> Try to add a samba printer queue with authentication
> 
> Steps to Reproduce:
> 1. Open the "Settings" (control-center)
> 2. Open the "Printers" configuration
> 3. Unlock the printer settings if needed "Unlock" button on top right
> 4. Click the "+" button
> 5. Select the printer from the list
> 
> Actual results:
> The printer queue is not in the list. I can't neither reach an interface for
> the authentication, I hope is present somewhere.
> 
> 
> Expected results:
> Possibility to choose a printer that is currently available in the network
> 
> 
> Additional info:
> I can understand somebody decided to simplify this printer settings
> interface but it's completely confusing:
> 
> 1. you are writing only the names of the printers, and in our office there
> are several printers shared in the network. there are lot of other
> information that can help the user to figure out which is the right printer

We are showing the name of the printer, whether it is local or network printer (the icon) and location if it is available. How are those printers configured? Is it a CUPS server?


> 2. is not possible to manually insert a samba URL. I know exactly which
> printer I want to add but this interface is not accepting suggestions on
> what to do!!

Try to enter url of the samba server there and press enter it should reveal printers on it.


> 3. this interface is a complete lack of homogeneity in the Gnome 3
> environment; if I try to print from "Document Viewer" or from "Evolution"
> there is a different interface to discover printers, where:
> a. the names of printers are different => confusing the user

Are there different names for the same printer or are there different printers in those lists? It can happen that there are Avahi printers in the gtk print dialog which we don't show in the settings panel.


> b. at least there are more informations like "location" => can help the user

The location is shown in the new printer dialog too if it is available.


> c. there are the samba queue I was looking for. Why the hell are not in the
> control-center?

Does the queue shows in result of "lpstat -s" command?


> Because it seems the developer of this application is not in the condition to
> test what he's doing I will be more than happy to help testing.

It's always nice to read such comments, thank you for it! I'll add it to my collection.


This part of gnome-control-center's printers panel was improved in 3.10.x it shows samba servers which need authentication among found devices. User can select such server and press "Authenticate" which will result in showing printers configured on it.

Marek
Comment 2 Nicola Buso 2013-11-05 10:39:12 EST
Created attachment 819829 [details]
control center printer settings
Comment 3 Nicola Buso 2013-11-05 10:39:39 EST
Created attachment 819830 [details]
evolution printer settings
Comment 4 Nicola Buso 2013-11-05 11:01:55 EST
(In reply to Marek Kašík from comment #1)
> (In reply to Nicola Buso from comment #0)
> > Description of problem:
> > Configure samba printer queue with authentication
> > 
> > Version-Release number of selected component (if applicable):
> > 3.8.5-1.fc19
> > 
> > How reproducible:
> > Try to add a samba printer queue with authentication
> > 
> > Steps to Reproduce:
> > 1. Open the "Settings" (control-center)
> > 2. Open the "Printers" configuration
> > 3. Unlock the printer settings if needed "Unlock" button on top right
> > 4. Click the "+" button
> > 5. Select the printer from the list
> > 
> > Actual results:
> > The printer queue is not in the list. I can't neither reach an interface for
> > the authentication, I hope is present somewhere.
> > 
> > 
> > Expected results:
> > Possibility to choose a printer that is currently available in the network
> > 
> > 
> > Additional info:
> > I can understand somebody decided to simplify this printer settings
> > interface but it's completely confusing:
> > 
> > 1. you are writing only the names of the printers, and in our office there
> > are several printers shared in the network. there are lot of other
> > information that can help the user to figure out which is the right printer
> 
> We are showing the name of the printer, whether it is local or network
> printer (the icon) and location if it is available. How are those printers
> configured? Is it a CUPS server?
I added two screenshot to clarify, I can see the name of the printer, but no location. In the evolution printing windows I have different names, the location and the status.
Sincerly I'm not configuring CUPS, it's done by a system group, I want only to add a printer, and I have the name and the complete URL of something that is already configured on the network!

> 
> 
> > 2. is not possible to manually insert a samba URL. I know exactly which
> > printer I want to add but this interface is not accepting suggestions on
> > what to do!!
> 
> Try to enter url of the samba server there and press enter it should reveal
> printers on it.
Sorry I was not clear I tryed but is not working. I have a complete URL of the form:
smb://<host>/<path to the queue>

I tryed:
- smb://<host>/<path to the queue>
- smb://<host>/
- //<host>/<path to the queue>
- //<host>/
- <host>
nothing is discovered.

If I use the full URL smb://<host>/<path to the queue> and press "Add" it try to add the selected printer in the list (at least the first is always selected), obviously it's not the printer I want.
N.B.: the same smb URL is working in system-config-printer


> 
> 
> > 3. this interface is a complete lack of homogeneity in the Gnome 3
> > environment; if I try to print from "Document Viewer" or from "Evolution"
> > there is a different interface to discover printers, where:
> > a. the names of printers are different => confusing the user
> 
> Are there different names for the same printer or are there different
> printers in those lists? It can happen that there are Avahi printers in the
> gtk print dialog which we don't show in the settings panel.
I think both I did not check every printer listed. I just let you notice that no one of the printer in the evolution printer window has a dash "-" in the name, there are only underscore "_", while the control center has only names with dashes. To me seam the two application are showing different values as names, for this reason I'm saying it's confusing.

> 
> 
> > b. at least there are more informations like "location" => can help the user
> 
> The location is shown in the new printer dialog too if it is available.
No there is in evolution, not in control-center

> 
> 
> > c. there are the samba queue I was looking for. Why the hell are not in the
> > control-center?
> 
> Does the queue shows in result of "lpstat -s" command?
No

> 
> 
> > Because it seems the developer of this application is not in the condition to
> > test what he's doing I will be more than happy to help testing.
> 
> It's always nice to read such comments, thank you for it! I'll add it to my
> collection.
Sorry I didn't want to be really rude, and I apology if I was; but after this bug https://bugzilla.redhat.com/show_bug.cgi?id=974547 it seam to me the printer settings is not going to the right direction.
As stated if you need any other information I'm really happy to help making it working, in the meanwhile "system-config-printer"

> 
> 
> This part of gnome-control-center's printers panel was improved in 3.10.x it
> shows samba servers which need authentication among found devices. User can
> select such server and press "Authenticate" which will result in showing
> printers configured on it.
I will report on it as soon as this version will be in a stable fedora release. I don't think I can install it on fedora 19 easly, but let me know in case.

> 
> Marek

Nicola
Comment 5 Fedora End Of Life 2015-01-09 15:28:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 14:04:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Nicola Buso 2016-05-13 11:30:59 EDT
Updating fedora version to 23:
The problem is still there, no possibility to add a printer using the samba URL
Comment 8 Fedora End Of Life 2016-11-24 06:04:21 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 07:43:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.